---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world-nginx
  namespace: default
spec:
  selector:
    matchLabels:
      app: hello-world
  replicas: 3
  template:
    metadata:
      labels:
        app: hello-world
    spec:
      containers:
        - name: nginx
          image: nginx
          ports:
            - containerPort: 80
          volumeMounts:
            - name: hello-world-volume
              mountPath: /usr/share/nginx/html
      volumes:
        - name: hello-world-volume
          configMap:
            name: hello-world
        - name: gluster-mariadb-volume
          hostPath:
            path: "/opt/mariadb"
